### Class

# Ide Completion

#### Description

    final class Ide.Completion : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Functions

###### ide_completion_fuzzy_highlight

This will add <b> tags around matched characters in `haystack` based on `casefold_query`.

Available since: 3.32

###### ide_completion_fuzzy_match

This helper function can do a fuzzy match for you giving a haystack and casefolded needle. Casefold your needle using `g_utf8_casefold()` before running the query.

Available since: 3.32

#### Instance methods

###### ide_completion_add_provider

Adds an `IdeCompletionProvider` to the list of providers to be queried for completion results.

Available since: 3.32

###### ide_completion_block_interactive

No description available.

###### ide_completion_cancel

No description available.

###### ide_completion_get_buffer

No description available.

Available since: 3.32

###### ide_completion_get_display

Gets the display for completion.

Available since: 3.32

###### ide_completion_get_n_rows

No description available.

###### ide_completion_get_view

No description available.

Available since: 3.32

###### ide_completion_hide

Emits the “hide” signal.

Available since: 3.32

###### ide_completion_is_visible

Checks if the completion display is visible.

Available since: 3.32

###### ide_completion_move_cursor

No description available.

###### ide_completion_remove_common_prefix

No description available.

###### ide_completion_remove_common_suffix

No description available.

###### ide_completion_remove_provider

Removes an `IdeCompletionProvider` previously added with ide_completion_add_provider().

Available since: 3.32

###### ide_completion_set_n_rows

No description available.

###### ide_completion_show

Emits the “show” signal.

Available since: 3.32

###### ide_completion_unblock_interactive

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Completion:buffer

The `GtkTextBuffer` for the `IdeCompletion:view`. This is a convenience property for providers.

Available since: 3.32

###### Ide.Completion:n-rows

The number of rows to display to the user.

Available since: 3.32

###### Ide.Completion:view

The “view” property is the `GtkTextView` for which this `IdeCompletion` is providing completion features.

Available since: 3.32

#### Signals

###### Ide.Completion::hide

The “hide” signal is emitted when the completion window should be hidden.

Available since: 3.32

###### Ide.Completion::provider-added

The “provided-added” signal is emitted when a new provider is added to the completion.

Available since: 3.32

###### Ide.Completion::provider-removed

The “provided-removed” signal is emitted when a provider has been removed from the completion.

Available since: 3.32

###### Ide.Completion::show

The “show” signal is emitted when the completion window should be shown.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeCompletionClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.